#login-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(180deg, #f5f6f8 0%, #eef2f7 100%);
  overflow-x: hidden;
}

.login-box {
  padding: 40px;
  border-radius: 12px;
  width: 100vw;
  height: 100vh;
  padding: 100px 140px;
}

.login-box input {
  padding: 10px;
  width: 240px;
  margin-bottom: 10px;
}

.login-box button {
  padding: 10px 20px;
}

.login-box img.bg {
    position: fixed;
    right: -100px;
    bottom: -150px;
    width:57vw
}

/* 브랜드 로고 */
.brand {
    font-size: 30px;
    margin-bottom: 20px;
}

.brand-box {
    background: var(--accent);
    color: white;
    padding: 3px 6px;
    font-weight: 600;
}

.brand-text {
    font-weight: 600;
    margin-left: 4px;
    color: #222;
}

/* 타이틀 */
#login-wrap .title {
    font-size: 120px;
    font-weight: 900;
    color: var(--primary);
    line-height: 1.25;
}

/* 서브타이틀 사선 */
#login-wrap .subtitle {
    display: inline-flex;
    align-items: center;
    background: var(--primary);
    color: #ffffff;
    font-size: 120px;
    font-weight: 900;
    line-height: 1;

    padding: 0.5rem 2rem 0.5rem 0.5rem;

    /* 우상단만 사선 컷 */
    clip-path: polygon(
        0 0,
        95% 0,
        100% 30%,
        100% 100%,
        0 100%
    );
}

/* 설명 */
.desc {
    margin-top: 50px;
    font-size: 24px;
    color: #333;
}

/* 버튼 영역 */
.action-area {
    display: flex;
    gap: 20px;
    margin-top: 70px;
}

/* 인풋 */
.action-area input {
    width: 340px;
    height: 66px;
    padding: 0 22px;
    font-size: 20px;
    border: none;
    background: #fff;
    transition: 0.3s;
    border: 1px solid var(--accent);
}

.action-area input:focus {
    background: #fff;
}

/* 버튼 (게임 느낌 glow) */
.action-area button {
    height: 66px;
    padding: 0 45px;
    font-size: 20px;
    border: none;
    cursor: pointer;
    background: var(--accent);
    color: white;
    font-weight: 600;
    transition: all 0.3s ease;
}

.action-area button:hover {
    transform: translateY(-3px);
}

/* 반응형 */
@media (max-width: 900px) {
    .login-box {
        grid-template-columns: 1fr;
        padding: 60px 30px;
        height: auto;
    }

    #login-wrap .title { font-size: 50px; }
    #login-wrap .subtitle { font-size: 36px; }

    .action-area {
        flex-direction: column;
    }

    .action-area input,
    .action-area button {
        width: 100%;
    }
}

